Bug 740660 - Review Request: python-d2to1 - Allows using distutils2-like setup.cfg files with setup.py
Summary: Review Request: python-d2to1 - Allows using distutils2-like setup.cfg files w...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-22 20:43 UTC by Sergio Pascual
Modified: 2013-03-31 22:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-10-09 19:54:21 UTC
mario.blaettermann: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Sergio Pascual 2011-09-22 20:43:51 UTC
Spec URL: http://guaix.fis.ucm.es/~spr/python-d2to1.spec
SRPM URL: http://guaix.fis.ucm.es/~spr/python-d2to1-0.2.5-1.fc15.src.rpm
Description:
d2to1 allows using distutils2-like setup.cfg files for a package's metadata 
with a distribute/setuptools setup.py script. It works by providing a 
distutils2-formatted setup.cfg file containing all of a package's metadata, 
and a very minimal setup.py which will slurp its arguments from the setup.cfg.

Comment 1 Mario Blättermann 2012-09-20 21:41:05 UTC
Scratch build for f18:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4509150

$ rpmlint -i -v *
python3-d2to1.noarch: I: checking
python3-d2to1.noarch: W: spelling-error Summary(en_US) cfg -> cf, cg, cog
The value of this tag appears to be misspelled. Please double-check.

python3-d2to1.noarch: W: spelling-error Summary(en_US) py -> pt, p, y
The value of this tag appears to be misspelled. Please double-check.

python3-d2to1.noarch: W: spelling-error %description -l en_US cfg -> cf, cg, cog
The value of this tag appears to be misspelled. Please double-check.

python3-d2to1.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
The value of this tag appears to be misspelled. Please double-check.

python3-d2to1.noarch: W: spelling-error %description -l en_US setuptools -> setup tools, setup-tools, toadstools
The value of this tag appears to be misspelled. Please double-check.

python3-d2to1.noarch: W: spelling-error %description -l en_US py -> pt, p, y
The value of this tag appears to be misspelled. Please double-check.

python3-d2to1.noarch: I: checking-url http://pypi.python.org/pypi/d2to1 (timeout 10 seconds)
python-d2to1.src: I: checking
python-d2to1.src: W: spelling-error Summary(en_US) cfg -> cf, cg, cog
The value of this tag appears to be misspelled. Please double-check.

python-d2to1.src: W: spelling-error Summary(en_US) py -> pt, p, y
The value of this tag appears to be misspelled. Please double-check.

python-d2to1.src: W: spelling-error %description -l en_US cfg -> cf, cg, cog
The value of this tag appears to be misspelled. Please double-check.

python-d2to1.src: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
The value of this tag appears to be misspelled. Please double-check.

python-d2to1.src: W: spelling-error %description -l en_US setuptools -> setup tools, setup-tools, toadstools
The value of this tag appears to be misspelled. Please double-check.

python-d2to1.src: W: spelling-error %description -l en_US py -> pt, p, y
The value of this tag appears to be misspelled. Please double-check.

python-d2to1.src: I: checking-url http://pypi.python.org/pypi/d2to1 (timeout 10 seconds)
python-d2to1.src: I: checking-url http://pypi.python.org/packages/source/d/d2to1/d2to1-0.2.5.tar.gz (timeout 10 seconds)
python-d2to1.noarch: I: checking
python-d2to1.noarch: W: spelling-error Summary(en_US) cfg -> cf, cg, cog
The value of this tag appears to be misspelled. Please double-check.

python-d2to1.noarch: W: spelling-error Summary(en_US) py -> pt, p, y
The value of this tag appears to be misspelled. Please double-check.

python-d2to1.noarch: W: spelling-error %description -l en_US cfg -> cf, cg, cog
The value of this tag appears to be misspelled. Please double-check.

python-d2to1.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
The value of this tag appears to be misspelled. Please double-check.

python-d2to1.noarch: W: spelling-error %description -l en_US setuptools -> setup tools, setup-tools, toadstools
The value of this tag appears to be misspelled. Please double-check.

python-d2to1.noarch: W: spelling-error %description -l en_US py -> pt, p, y
The value of this tag appears to be misspelled. Please double-check.

python-d2to1.noarch: I: checking-url http://pypi.python.org/pypi/d2to1 (timeout 10 seconds)
python-d2to1.spec: I: checking-url http://pypi.python.org/packages/source/d/d2to1/d2to1-0.2.5.tar.gz (timeout 10 seconds)
3 packages and 1 specfiles checked; 0 errors, 18 warnings.

Ignoreable spelling errors only.


Just one objection: The %defattr line is obsolete since f10. Unless you want to provide a package for EPEL5, you can drop it.

Comment 2 Mario Blättermann 2012-09-25 19:07:37 UTC
Another issue:

The source tarball contains a bundled egg-info. Please remove it before building your package (in the %prep section):

rm -rf %{upname}.egg-info

See https://fedoraproject.org/wiki/Packaging:Python_Eggs#Upstream_Eggs for more information.

Comment 3 Sergio Pascual 2012-09-26 09:34:05 UTC
Ok, thanks for the review. I have removed the egg and the defattr. I have also updated to new upstream 0.2.7

Spec URL: http://guaix.fis.ucm.es/~spr/python-d2to1.spec
SRPM URL: http://guaix.fis.ucm.es/~spr/python-d2to1-0.2.7-1.fc17.src.rpm

Comment 4 Mario Blättermann 2012-09-26 18:21:57 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4529544

$ rpmlint -i -v *
python3-d2to1.noarch: I: checking
python3-d2to1.noarch: W: spelling-error Summary(en_US) cfg -> cf, cg, cog
The value of this tag appears to be misspelled. Please double-check.

python3-d2to1.noarch: W: spelling-error Summary(en_US) py -> pt, p, y
The value of this tag appears to be misspelled. Please double-check.

python3-d2to1.noarch: W: spelling-error %description -l en_US cfg -> cf, cg, cog
The value of this tag appears to be misspelled. Please double-check.

python3-d2to1.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
The value of this tag appears to be misspelled. Please double-check.

python3-d2to1.noarch: W: spelling-error %description -l en_US setuptools -> setup tools, setup-tools, toadstools
The value of this tag appears to be misspelled. Please double-check.

python3-d2to1.noarch: W: spelling-error %description -l en_US py -> pt, p, y
The value of this tag appears to be misspelled. Please double-check.

python3-d2to1.noarch: I: checking-url http://pypi.python.org/pypi/d2to1 (timeout 10 seconds)
python-d2to1.src: I: checking
python-d2to1.src: W: spelling-error Summary(en_US) cfg -> cf, cg, cog
The value of this tag appears to be misspelled. Please double-check.

python-d2to1.src: W: spelling-error Summary(en_US) py -> pt, p, y
The value of this tag appears to be misspelled. Please double-check.

python-d2to1.src: W: spelling-error %description -l en_US cfg -> cf, cg, cog
The value of this tag appears to be misspelled. Please double-check.

python-d2to1.src: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
The value of this tag appears to be misspelled. Please double-check.

python-d2to1.src: W: spelling-error %description -l en_US setuptools -> setup tools, setup-tools, toadstools
The value of this tag appears to be misspelled. Please double-check.

python-d2to1.src: W: spelling-error %description -l en_US py -> pt, p, y
The value of this tag appears to be misspelled. Please double-check.

python-d2to1.src: I: checking-url http://pypi.python.org/pypi/d2to1 (timeout 10 seconds)
python-d2to1.src: I: checking-url http://pypi.python.org/packages/source/d/d2to1/d2to1-0.2.7.tar.gz (timeout 10 seconds)
python-d2to1.noarch: I: checking
python-d2to1.noarch: W: spelling-error Summary(en_US) cfg -> cf, cg, cog
The value of this tag appears to be misspelled. Please double-check.

python-d2to1.noarch: W: spelling-error Summary(en_US) py -> pt, p, y
The value of this tag appears to be misspelled. Please double-check.

python-d2to1.noarch: W: spelling-error %description -l en_US cfg -> cf, cg, cog
The value of this tag appears to be misspelled. Please double-check.

python-d2to1.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
The value of this tag appears to be misspelled. Please double-check.

python-d2to1.noarch: W: spelling-error %description -l en_US setuptools -> setup tools, setup-tools, toadstools
The value of this tag appears to be misspelled. Please double-check.

python-d2to1.noarch: W: spelling-error %description -l en_US py -> pt, p, y
The value of this tag appears to be misspelled. Please double-check.

python-d2to1.noarch: I: checking-url http://pypi.python.org/pypi/d2to1 (timeout 10 seconds)
python-d2to1.spec: I: checking-url http://pypi.python.org/packages/source/d/d2to1/d2to1-0.2.7.tar.gz (timeout 10 seconds)
3 packages and 1 specfiles checked; 0 errors, 18 warnings.

Some ignorable spelling errors, nothing of interest so far.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    BSD
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    a029a89acac1117cf206e2e19ceff2e7f6eeee5d317c69b5a61be2632cc042cc  d2to1-0.2.7.tar.gz
    a029a89acac1117cf206e2e19ceff2e7f6eeee5d317c69b5a61be2632cc042cc  d2to1-0.2.7.tar.gz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------

Comment 5 Sergio Pascual 2012-09-27 10:10:47 UTC
New Package SCM Request
=======================
Package Name: python-d2to1
Short Description: Allows using distutils2-like setup.cfg files with setup.py
Owners: sergiopr
Branches: f17 f18 f16
InitialCC:

Comment 6 Gwyn Ciesla 2012-09-27 11:20:34 UTC
Git done (by process-git-requests).

Comment 7 Mario Blättermann 2012-10-09 19:54:21 UTC
Packages are already in the updates. I'll close this bug now.

Comment 8 Pádraig Brady 2013-03-14 17:30:38 UTC
Package Change Request
======================
Package Name: python-d2to1
New Branches: el6

Comment 9 Gwyn Ciesla 2013-03-14 17:46:40 UTC
No owners specified.

Comment 10 Pádraig Brady 2013-03-14 20:32:09 UTC
Package Change Request
======================
Package Name: python-d2to1
New Branches: el6
Owners: pbrady sergiopr

Comment 11 Gwyn Ciesla 2013-03-15 12:42:37 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2013-03-15 14:11:27 UTC
python-d2to1-0.2.7-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-d2to1-0.2.7-3.el6

Comment 13 Fedora Update System 2013-03-31 22:39:40 UTC
python-d2to1-0.2.7-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.